Bug 9880 - After many connection from UNKNOW - POP3 Hangs
Summary: After many connection from UNKNOW - POP3 Hangs
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: imap   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-01 08:09 UTC by buggy
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 02:28:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description buggy 2000-03-01 08:09:16 UTC
My Log files show the following for the ipop3d damon:
Mar  1 09:09:40 ns1 ipop3d[2491]: port 110 service init from UNKNOWN
Mar  1 04:09:42 ns1 ipop3d[2492]: warning: can't get client address:
Connection reset by peer
Mar  1 04:09:42 ns1 ipop3d[2492]: connect from unknown
Mar  1 09:09:42 ns1 ipop3d[2492]: port 110 service init from UNKNOWN
Mar  1 04:09:42 ns1 ipop3d[2493]: warning: can't get client address:
Connection reset by peer
Mar  1 04:09:42 ns1 ipop3d[2493]: connect from unknown
Mar  1 09:09:42 ns1 ipop3d[2493]: port 110 service init from UNKNOWN
After many of these connections (DoS 40 sec) the service hangs.
The upgrade to the rpm imap-4.5-0.5.2 but that doesent matter....

Thank you for any help! (I hope I can get my mails....)

Comment 1 Cristian Gafton 2000-08-09 02:28:36 UTC
assigned to the new owner


Comment 2 Alan Cox 2000-08-18 17:12:24 UTC
inetd turns off services for a while that are rapidly respawning. So this seems
sane. You can
alter the amount of respawning needed via the wait parameter in inetd.conf


Comment 3 Rick Richardson 2000-09-02 18:09:10 UTC
I don't know about this answer.  I think this bug ishould be open and
outstanding, and should be raised to the highest severity level.

With the pinstripe beta (RH 6.9), all it takes is a single telnet to the POP3
server from "unknown" and inetd goes crazy respawning pop3d.  The syslog fills
up with messages and the machine eventually dies.  I verified this on my own
machine.  This did not happen with RH 6.2.

I had to disable pop3d in RH 6.9 because all it took was one idiot doing a port
probe to cause this bug.




Note You need to log in before you can comment on or make changes to this bug.